Đến nội dung


Hình ảnh
- - - - -

Lisp move text vào chính giữa một rectang


  • Please log in to reply
23 replies to this topic

#1 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 Bài viết
Điểm đánh giá: 1308 (rất tốt)

Đã gửi 04 March 2007 - 02:45 PM

làm thế nào để move 1 đối tượng text vào chính giữa 1 rectang nhỉ? dùng lisp này nhé
command: ddt
http://www.cadviet.com/upfiles/Movetext2centerrectang.lsp

Cái này dùng để hiệu chỉnh bảng và khung tên rất tiện
  • 0

#2 thanhliem98

thanhliem98

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 8 (bình thường)

Đã gửi 25 November 2007 - 09:15 PM

làm thế nào để move 1 đối tượng text vào chính giữa 1 rectang nhỉ? dùng lisp này nhé
command: ddt
http://www.cadviet.com/upfiles/Movetext2centerrectang.lsp

Cái này dùng để hiệu chỉnh bảng và khung tên rất tiện

sao k tải về đc?sao nó dẫn qua trang wep khác vậy?giúp mình với
  • 0

#3 bemove

bemove

    biết lệnh divide

  • Vip
  • PipPipPipPipPipPip
  • 446 Bài viết
Điểm đánh giá: 1308 (rất tốt)

Đã gửi 30 November 2007 - 10:34 PM

sao k tải về đc?sao nó dẫn qua trang wep khác vậy?giúp mình với


Không phải trang web khác đâu bạn ạ. đó chính là host lưu file upload của cadviet đó. vì file trang web bạn mở ra chính là đoạn lisp đấy. bạn có thể copy và paste và notepad và save file thành .lsp hoặc chuột phải vào đường link và chọn save tager as... để tải file :bigsmile:
  • 0

#4 100codon

100codon

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 April 2008 - 02:17 PM

Bạn ơi tôi đã thử rùi, nhưng text chay lung tung ....., bạn xem lại dòng lệnh đi.
  • 0

#5 100codon

100codon

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 01 April 2008 - 02:24 PM

Làm thế nào để Mtext ở chính giữa, nhờ bạn giúp. Đối với lệnh text thì được, nhưng Mtext thì chạy lung tung
  • 0

#6 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 April 2008 - 04:54 PM

Làm thế nào để Mtext ở chính giữa, nhờ bạn giúp. Đối với lệnh text thì được, nhưng Mtext thì chạy lung tung

lệnh là M2C (move to center) move đối tượng bất kỳ vào chính giữa đối tượng bất kỳ khác.:


(defun c:m2c ()
(defun mid (ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(setq p1 (vlax-safearray->list p1)
p2 (vlax-safearray->list p2)
pt (mapcar '+ p1 p2)
pt (mapcar '* pt '(0.5 0.5 0.5))
)
pt
)
(setq src (car (entsel "\nDoi tuong can di chuyen: ")))
(redraw src 3)
(setq des (car (entsel "\nDoi tuong dich: ")))
(redraw src 4)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(command ".move" src "" (mid src) (mid des))
(setvar "osmode" oldos)
(princ)
)
(vl-load-com)

  • 2

#7 nguyenbakien

nguyenbakien

    biết lệnh scale

  • Members
  • PipPipPip
  • 147 Bài viết
Điểm đánh giá: 31 (tàm tạm)

Đã gửi 01 April 2008 - 05:02 PM

lệnh là M2C (move to center) move đối tượng bất kỳ vào chính giữa đối tượng bất kỳ khác.:


(defun c:m2c ()
(defun mid (ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(setq p1 (vlax-safearray->list p1)
p2 (vlax-safearray->list p2)
pt (mapcar '+ p1 p2)
pt (mapcar '* pt '(0.5 0.5 0.5))
)
pt
)
(setq src (car (entsel "\nDoi tuong can di chuyen: ")))
(redraw src 3)
(setq des (car (entsel "\nDoi tuong dich: ")))
(redraw src 4)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(command ".move" src "" (mid src) (mid des))
(setvar "osmode" oldos)
(princ)
)
(vl-load-com)


Bác Hoành chỉ giúp em cách sử dụng cái này đi .
em thay nó cũng hay nhưng ko biết sử dụng nó
  • 0

#8 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 April 2008 - 05:34 PM

Bác Hoành chỉ giúp em cách sử dụng cái này đi .
em thay nó cũng hay nhưng ko biết sử dụng nó

Hướng dẫn gì cơ?
bạn đã thử chưa?
  • 0

#9 Nộ Thiên

Nộ Thiên

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 297 Bài viết
Điểm đánh giá: 133 (tàm tạm)

Đã gửi 01 April 2008 - 08:23 PM

Có thể tạo thêm 1 kiểu "truy bắt điểm" nữa cho CAD là : tâm hình chữ nhật kg nhỉ!?
  • 0

#10 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 April 2008 - 09:53 PM

Có thể tạo thêm 1 kiểu "truy bắt điểm" nữa cho CAD là : tâm hình chữ nhật kg nhỉ!?

Muốn bắt tâm hình chữ nhật, chọn tham số M2P lúc CAD hỏi điểm, sau đó pick 2 đỉnh đối diện của hình chữ nhật thì sẽ chọn được tâm hình.
  • 0

#11 lysamtanhaccs4

lysamtanhaccs4

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 25 April 2008 - 07:45 PM

lệnh là M2C (move to center) move đối tượng bất kỳ vào chính giữa đối tượng bất kỳ khác.:


(defun c:m2c ()
(defun mid (ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(setq p1 (vlax-safearray->list p1)
p2 (vlax-safearray->list p2)
pt (mapcar '+ p1 p2)
pt (mapcar '* pt '(0.5 0.5 0.5))
)
pt
)
(setq src (car (entsel "\nDoi tuong can di chuyen: ")))
(redraw src 3)
(setq des (car (entsel "\nDoi tuong dich: ")))
(redraw src 4)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(command ".move" src "" (mid src) (mid des))
(setvar "osmode" oldos)
(princ)
)
(vl-load-com)

sao em tải cái này về chạy ko được bác Hoành ạ khi load song máy báo lisp này ko được định hình Bác có cách nào giúp em với nếu cái này mà sài đc thì rất hữu ích đối với em đó (em sài cad 2004 máy ở cty ko thể nâng cấp hơn đc nữa)
  • 0

#12 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 April 2008 - 08:13 PM

sao em tải cái này về chạy ko được bác Hoành ạ khi load song máy báo lisp này ko được định hình Bác có cách nào giúp em với nếu cái này mà sài đc thì rất hữu ích đối với em đó (em sài cad 2004 máy ở cty ko thể nâng cấp hơn đc nữa)

Nguyên văn ACAD báo gì bạn? bạn đừng phiên dịch dòng thông báo ra tiếng Việt, vì như vậy tôi không biết ACAD báo gì.
  • 0

#13 noname281

noname281

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 07 May 2008 - 02:15 PM

lệnh là M2C (move to center) move đối tượng bất kỳ vào chính giữa đối tượng bất kỳ khác.:


(defun c:m2c ()
(defun mid (ent / p1 p2)
(vla-getboundingbox (vlax-ename->vla-object ent) 'p1 'p2)
(setq p1 (vlax-safearray->list p1)
p2 (vlax-safearray->list p2)
pt (mapcar '+ p1 p2)
pt (mapcar '* pt '(0.5 0.5 0.5))
)
pt
)
(setq src (car (entsel "\nDoi tuong can di chuyen: ")))
(redraw src 3)
(setq des (car (entsel "\nDoi tuong dich: ")))
(redraw src 4)
(setq oldos (getvar "osmode"))
(setvar "osmode" 0)
(command ".move" src "" (mid src) (mid des))
(setvar "osmode" oldos)
(princ)
)
(vl-load-com)

em thử lệnh này rồi, nhưng mà chỉ di chuyển được đối tượng đó thôi, chứ copy đối tượng rồi sửa text chẳng hạn thì lại không còn là center nữa
  • 0

#14 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 08 May 2008 - 08:08 AM

em thử lệnh này rồi, nhưng mà chỉ di chuyển được đối tượng đó thôi, chứ copy đối tượng rồi sửa text chẳng hạn thì lại không còn là center nữa

Điều này là đương nhiên mà bạn.

Bạn cho 1 hình chữ nhật vào trùng với tâm một hình khác, sau đó bạn stretch hình chữ nhật cho nó méo đi thì nó đâu có trùng tâm nữa, text cũng vậy thôi.

Muốn trùng tâm thì bạn lại move to center 1 lần nữa.
  • 0

#15 missone's

missone's

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 12 May 2008 - 11:51 PM

Trong bản vẽ của em- nếu muốn Move một Text vào trong hình tròn thì có thể sử dụng lệnh M2C được ko ạ! Em đã thử thì thấy chữ nó nhảy ra khỏi hình tròn!
Đây là file bản vẽ của em:
missone's.dwg
  • 0
neverforever

#16 nguyenminhhiep1983

nguyenminhhiep1983

    biết pan

  • Members
  • Pip
  • 5 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 27 May 2008 - 07:51 AM

Trong bản vẽ của em- nếu muốn Move một Text vào trong hình tròn thì có thể sử dụng lệnh M2C được ko ạ! Em đã thử thì thấy chữ nó nhảy ra khỏi hình tròn!
Đây là file bản vẽ của em:
missone's.dwg

Ko cần phải m2c. Bạn có thể chọn text, Ctrl+1, chọn Justify của text là MiddleCêntre rồi kéo vào tâm đường tròn. Đảm bảo cân. :s_big:
  • 2

#17 missone's

missone's

    biết vẽ rectang

  • Members
  • PipPip
  • 82 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 27 May 2008 - 06:08 PM

Ko cần phải m2c. Bạn có thể chọn text, Ctrl+1, chọn Justify của text là MiddleCêntre rồi kéo vào tâm đường tròn. Đảm bảo cân. :s_big:

Nhưng như thế thì mình chỉ chọn từng đối tượng một- rất mất thời gian, đúng không!
Nếu có cách gì mà cho một loạt thì hay biết mấy!
Cảm ơn bạn đã quan tâm!
  • 0
neverforever

#18 NGUYENCONGDANH

NGUYENCONGDANH

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 June 2008 - 09:44 AM

làm thế nào để move 1 đối tượng text vào chính giữa 1 rectang nhỉ? dùng lisp này nhé
command: ddt

Cái này dùng để hiệu chỉnh bảng và khung tên rất tiện

cám ơn bac nhưng sau ko đề cập đến lệnh gì hết vậy
  • 0

#19 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 23 June 2008 - 01:41 PM

cám ơn bac nhưng sau ko đề cập đến lệnh gì hết vậy

lệnh là ddt mà!
  • 0

#20 makhongbietnoi

makhongbietnoi

    biết vẽ point

  • Members
  • PipPip
  • 95 Bài viết
Điểm đánh giá: 21 (tàm tạm)

Đã gửi 24 June 2008 - 10:22 AM

Xin bác Hoành cho hỏi tại sao mỗi lần sử dụng lệnh M2C là tôi lại phải Upload lại Lisp đó và nó cũng chỉ thực hiện đúng 1 lệnh.Sau đó nếu sử dụng thì Cad sẽ báo:
Command: m2c
Unknown command "M2C". Press F1 for help.
  • 0